Summary:	A development library for text mode user interfaces.
Name:		newt
Version:	0.52.0
Release:	2
License:	LGPL
Group:		System Environment/Libraries
Source:		newt-%{version}.tar.gz
BuildRequires:	perl, slang-devel, /sbin/ldconfig
Requires:	slang
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%files
  %defattr (0444,root,root,0555)
  %doc CHANGES COPYING
  %attr(0511,root,root)		%{_bindir}/whiptail
  %attr(0555,root,root)		%{_libdir}/libnewt.so.*

%Description
Newt is a programming library for color text mode, widget based user
interfaces.  Newt can be used to add stacked windows, entry widgets,
checkboxes, radio buttons, labels, plain text fields, scrollbars,
etc., to text mode user interfaces.  This package also contains the
shared library needed by programs built with newt, as well as a
/usr/bin/dialog replacement called whiptail.  Newt is based on the
slang library.

%package devel
Summary: Newt windowing toolkit development files.
Requires: slang-devel %{name} = %{version}
Group: Development/Libraries

%description devel
The newt-devel package contains the header files and libraries
necessary for developing applications which use newt.  Newt is a
development library for text mode user interfaces.  Newt is based on
the slang library.

%files devel
  %defattr(0444,root,root,0555)
  %doc tutorial.sgml
  %attr(0444,root,root)		%{_includedir}/newt.h
  %attr(0444,root,root)		%{_libdir}/libnewt.a
  %attr(0555,root,root)		%{_libdir}/libnewt.so

%prep
%setup -q

%build
  %configure 
  make %{?_smp_mflags} all

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT
  %makeinstall

  /sbin/ldconfig -n $RPM_BUILD_ROOT/%{_libdir}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 25 2005 Peter O'Hara <pete@guardiandigital.com>
- Version 0.52.0, Release 2
  - Upgrade to 0.52.0

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.51.6, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
